<?php

Yii::setPathOfAlias('bootstrap',dirname(__FILE__).'/../extensions/bootstrap');

$parent=require(dirname(__FILE__).'/main.php');

// This is the main Web application configuration. Any writable
// CWebApplication properties can be configured here.
return CMap::mergeArray(
	array(
		'defaultController'=>'default',
		'onBeginRequest'=>array('SourceBans', 'onBeginRequest'),
		'onEndRequest'=>array('SourceBans', 'onEndRequest'),
		'theme'=>'bootstrap',

		'modules'=>array(
			// uncomment the following to enable the Gii tool
			/*
	 		'gii'=>array(
	 			'class'=>'system.gii.GiiModule',
				'password'=>'Enter Your Password Here',
	 			// If removed, Gii defaults to localhost only. Edit carefully to taste.
	 			'ipFilters'=>array('127.0.0.1','::1'),
	 			'generatorPaths'=>array(
	 				'bootstrap.gii',
	 			),
	 		),
			*/
		),

		// application components
		'components'=>array(
			'clientScript'=>array(
				'coreScriptPosition'=>CClientScript::POS_END,
				'defaultScriptFilePosition'=>CClientScript::POS_END,
				'defaultScriptPosition'=>CClientScript::POS_END,
			),
			'errorHandler'=>array(
				// use 'default/error' action to display errors
				'errorAction'=>'default/error',
			),
			'log'=>array(
				'routes'=>array(
					// uncomment the following to show log messages on web pages
					/*
					array(
						'class'=>'CWebLogRoute',
					),
					*/
				),
			),
			'urlManager'=>array(
				'urlFormat'=>'path',
				'showScriptName'=>!(defined('PRETTY_URLS') && PRETTY_URLS),
				'rules'=>array(
					''=>'default/index',
					'admin'=>'admin/index',
					'<action>'=>'default/<action>',
					'<controller:\w+>/<id:\d+>'=>'<controller>/view',
					'<controller:\w+>/<action:\w+>/<id:\w+>'=>'<controller>/<action>',
					'<controller:\w+>/<action:\w+>'=>'<controller>/<action>',
				),
			),
			'user'=>array(
				'class'=>'WebUser',
				// enable cookie-based authentication
				'allowAutoLogin'=>true,
			),
			// extensions
			'bootstrap'=>array(
				'class'=>'bootstrap.components.Bootstrap',
			),
			'mailer'=>array(
				'From'=>'noreply@'.$_SERVER['HTTP_HOST'],
			),
		),

		// application-level parameters that can be accessed
		// using Yii::app()->params['paramName']
		'params'=>array(
			'consoleName'=>'CONSOLE',
			'titleSeparator'=>' « ',
		),
	),
	$parent
);